commit:     19089ede16991afb7044047e5848f21e0757d442
Author:     Matthias Maier <tamiko <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 30 04:48:04 2020 +0000
Commit:     Matthias Maier <tamiko <AT> gentoo <DOT> org>
CommitDate: Thu Apr 30 04:53:54 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=19089ede

sci-libs/scalapack: version bump to 2.1.0

Closes: https://bugs.gentoo.org/511150
Closes: https://bugs.gentoo.org/675636
Closes: https://bugs.gentoo.org/684750
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Matthias Maier <tamiko <AT> gentoo.org>

 sci-libs/scalapack/Manifest               |  1 +
 sci-libs/scalapack/scalapack-2.1.0.ebuild | 71 +++++++++++++++++++++++++++++++
 2 files changed, 72 insertions(+)

diff --git a/sci-libs/scalapack/Manifest b/sci-libs/scalapack/Manifest
index 5a13f95440b..d30e37fd8aa 100644
--- a/sci-libs/scalapack/Manifest
+++ b/sci-libs/scalapack/Manifest
@@ -1 +1,2 @@
 DIST scalapack-2.0.2.tgz 4779534 BLAKE2B 
c2aabd87bc8f7c0d9af31bd8ad8c933703dcbba399658d15c1e5256da2350c1a0feac2ca4a205f697b1c48083df89cbcd64ba432da036081c0f33d5d2acddc9b
 SHA512 
92c71d3de0900955511c527ab3ca57ff69d6d9edc390e69f93ac3769d32ce83a714326bcb6218c8c74b8874be2fdc8aad5e42c912a12581e8d4ce8829ea39248
+DIST scalapack-2.1.0.tgz 5307441 BLAKE2B 
4aea055fc3e437bce7108d1555e93c50109bcfe84354903fd711509eedbe686349fda4030e2fa70faf1a9e7e3255e46e48c32b96a2916af6812b8aebceb750c2
 SHA512 
0e77fb535ebcc28e2d97499ef4bd5161f76ca0ba4a3e308c26ce5071cfc4be4f3814262f3fb38f378ce0b5b31c0913432fea00a1e9e3f7717b853d1182bdf5b4

diff --git a/sci-libs/scalapack/scalapack-2.1.0.ebuild 
b/sci-libs/scalapack/scalapack-2.1.0.ebuild
new file mode 100644
index 00000000000..a1979a20ad6
--- /dev/null
+++ b/sci-libs/scalapack/scalapack-2.1.0.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake-utils fortran-2 toolchain-funcs
+
+DESCRIPTION="Subset of LAPACK routines redesigned for heterogenous (MPI) 
computing"
+HOMEPAGE="https://www.netlib.org/scalapack/";
+SRC_URI="https://www.netlib.org/scalapack/${P}.tgz";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="static-libs test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       virtual/lapack
+       virtual/mpi"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig"
+
+PATCHES=(
+)
+
+src_prepare() {
+       cmake-utils_src_prepare
+
+       if use static-libs; then
+               mkdir "${WORKDIR}/${PN}_static" || die
+       fi
+       # mpi does not have a pc file
+       sed -i -e 's/mpi//' scalapack.pc.in || die
+}
+
+src_configure() {
+       scalapack_configure() {
+               local mycmakeargs=(
+                       -DUSE_OPTIMIZED_LAPACK_BLAS=ON
+                       -DBLAS_LIBRARIES="$($(tc-getPKG_CONFIG) --libs blas)"
+                       -DLAPACK_LIBRARIES="$($(tc-getPKG_CONFIG) --libs 
lapack)"
+                       -DBUILD_TESTING=$(usex test)
+                       $@
+               )
+               cmake-utils_src_configure
+       }
+
+       scalapack_configure -DBUILD_SHARED_LIBS=ON -DBUILD_STATIC_LIBS=OFF
+       use static-libs && \
+               CMAKE_BUILD_DIR="${WORKDIR}/${PN}_static" scalapack_configure \
+               -DBUILD_SHARED_LIBS=OFF -DBUILD_STATIC_LIBS=ON
+}
+
+src_compile() {
+       cmake-utils_src_compile
+       use static-libs && \
+               CMAKE_BUILD_DIR="${WORKDIR}/${PN}_static" 
cmake-utils_src_compile
+}
+
+src_install() {
+       cmake-utils_src_install
+       use static-libs && \
+               CMAKE_BUILD_DIR="${WORKDIR}/${PN}_static" 
cmake-utils_src_install
+
+       insinto /usr/include/blacs
+       doins BLACS/SRC/*.h
+
+       insinto /usr/include/scalapack
+       doins PBLAS/SRC/*.h
+}

Reply via email to